function output = spectrum(params, arg2)
%estimations of spectra (reference- G990021-00)
%fiber noise LIGO-T0900376-v1-

eval(params)
FreeRunningPhi= tf(2*(2*pi)^2*10^4,[1,-(2*pi*100),0]);
PreStabilizedPhi = tf((2*pi)^2*0.02*1e6, [1,-2*pi*1e6, 0]);
IntensityNoise = tf(1e-5*2*pi*1e3*[1,-2*pi*1e5], 2*pi*1e5*[1,2*pi*1e3]);
PathLengthtoPhi = tf((2*pi)^3*1e-6/lambdar, [1,0,0]);
CavityLength = tf((2*pi)^2*1e-6, [1,0,0]);
SN0 = sqrt(2*q*etaQE0*Er*P0)*Z0;
SN1 = sqrt(2*q*etaQE1*Er*P1)*Z1;
SN2 = tf(sqrt(2*q*etaQE2*Er*P2)*Z2,[1/(2*pi*f2), 1]);
SN3 = tf(sqrt(2*q*etaQE3*Er*P3)*Z3, [1/(2*pi*f3), 1]);
SN4 = tf(sqrt(2*q*etaQE4*Er*P4)*Z4, [1/(2*pi*f4), 1]);
SN5 = tf(sqrt(q*etaQE5*Er*P5)*Z5, [1/(2*pi*f5), 1]);
Fiber = tf(2*pi, [1,0]);

if strcmp(arg2, 'FRphi'), output = FreeRunningPhi;
elseif strcmp(arg2, 'PSLphi'), output = PreStabilizedPhi;
elseif strcmp(arg2, 'Intensity'), output = IntensityNoise;
elseif strcmp(arg2, 'PLtoPhi'), output = PathLengthtoPhi;
elseif strcmp(arg2, 'CavLength'), output = CavityLength;
elseif strcmp(arg2, 'FiberNoise'), output = Fiber;
elseif strcmp(arg2, 'SN0'), output = SN0;
elseif strcmp(arg2, 'SN1'), output = SN1;
elseif strcmp(arg2, 'SN2'), output = SN2;
elseif strcmp(arg2, 'SN3'), output = SN3;
elseif strcmp(arg2, 'SN4'), output = SN4;
elseif strcmp(arg2, 'SN5'), output = SN5;
end

